﻿$ErrorActionPreference = 'Stop';

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://s3.amazonaws.com/aws-cli/AWSCLI32PY3-1.18.62.msi'
$checksum   = 'f2466e8e41fca12da5b7e7bb27ae6baaeb083ecbd0707d015bd7537e0547771b'
$url64      = 'https://s3.amazonaws.com/aws-cli/AWSCLI64PY3-1.18.62.msi'
$checksum64 = '6d4d870efe1a8a346f46a73bb6d23db07634788c5ab0d6d0d0fb087b9bb5cb59'
 
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64
  softwareName  = 'AWS Command Line Interface*'
  checksum      = $checksum
  checksumType  = 'sha256'
  checksum64    = $checksum64
  checksumType64= 'sha256'
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
